return {
    'nvim-telescope/telescope.nvim',
    dependencies = { "plenary" },
    config = function()
        local telescope = require('telescope.builtin')

        vim.keymap.set('n', '<leader>f', telescope.find_files, {})
        vim.keymap.set('n', '<leader>/', telescope.live_grep, {})
        vim.keymap.set('n', '<leader>b', telescope.buffers, {})
        vim.keymap.set('n', '<leader>g', telescope.git_status, {})
        vim.keymap.set('n', '<leader>?', telescope.help_tags, {})
        vim.keymap.set('n', '<leader>pws', function()
            local word = vim.fn.expand("<cword>")
            telescope.grep_string({search = word})
        end)
        vim.keymap.set('n', '<leader>pWs', function()
            local word = vim.fn.expand("<cWORD>")
            telescope.grep_string({search = word})
        end)
    end,
}
